1

[alpine-devel] [PATCH] testing/phpredis: new aport

ScrumpyJack
Details
Message ID
<alpine.LNX.2.20.1503181448050.8882@st.ilet.to>
Sender timestamp
1426690106
DKIM signature
missing
Download raw message
Patch: +42 -0
The phpredis extension provides an API for communicating with the Redis key-value store
https://github.com/phpredis/phpredis
---
 testing/phpredis/APKBUILD | 42 ++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 42 insertions(+)
 create mode 100644 testing/phpredis/APKBUILD

diff --git a/testing/phpredis/APKBUILD b/testing/phpredis/APKBUILD
new file mode 100644
index 0000000..e63f7ef
--- /dev/null
+++ b/testing/phpredis/APKBUILD
@@ -0,0 +1,42 @@
+# Contributor: ScrumpyJack <scrumpyjack@me.com>
+# Maintainer:
+pkgname=phpredis
+pkgver=2.2.7
+pkgrel=0
+pkgdesc="The phpredis extension provides an API for communicating with the Redis key-value store"
+url="https://github.com/phpredis/phpredis"
+arch="all"
+license="PHP"
+depends=""
+depends_dev=""
+makedepends="php-dev autoconf"
+install=""
+subpackages=""
+source="https://github.com/${pkgname}/${pkgname}/archive/${pkgver}.tar.gz"
+
+_builddir=${srcdir}/${pkgname}-${pkgver}
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+        phpize
+        ./configure
+}
+
+package() {
+	cd "$_builddir"
+        make || return 1
+        make INSTALL_ROOT=$pkgdir install || return 1
+}
+
+md5sums="f10bada46b6e1a15eac613df4f298f51  2.2.7.tar.gz"
+sha256sums="a5882dd9b21908e123b3d5c5f72d6dc8cbbbb6a29996e568c4d18ed356c0362b  2.2.7.tar.gz"
+sha512sums="eddca71c76fc39f46a316ac204521f352cba30cb2999a7b91fe907bdb0f17e287be025df2f7c3b7115790b1c2a781c162b32c77d29daf30b246bd4d163e5404e  2.2.7.tar.gz"
-- 
2.3.2


---
Unsubscribe:  alpine-devel+unsubscribe@lists.alpinelinux.org
Help:         alpine-devel+help@lists.alpinelinux.org
---
Natanael Copa
Details
Message ID
<20150319130855.6558fbfa@ncopa-desktop.alpinelinux.org>
In-Reply-To
<alpine.LNX.2.20.1503181448050.8882@st.ilet.to> (view parent)
Sender timestamp
1426766935
DKIM signature
missing
Download raw message
On Wed, 18 Mar 2015 14:48:26 +0000 (GMT)
ScrumpyJack <scrumpyjack@me.com> wrote:

> The phpredis extension provides an API for communicating with the Redis key-value store
> https://github.com/phpredis/phpredis

we normally name language modules: <lang>-<module>, eg php-redis.

Would probably make sense to do that with this module too.

applied anyways.
thanks!

-nc


---
Unsubscribe:  alpine-devel+unsubscribe@lists.alpinelinux.org
Help:         alpine-devel+help@lists.alpinelinux.org
---